<?xml version="1.0" encoding="utf-8"?>

<creole>
    <containers>
        <container name="reseau" id="51"/>
        <container name='jabber' id='23' group="reseau">
            <package>eole-ejabberd-pkg</package>
            <file name='/etc/ldap.conf'/>
            <file filelist='client_ldap' rm='True' name='/etc/ldap/ldap.conf'/>
            <file name='/etc/nsswitch.conf' source="nsswitch.conf.default"/>
            <service servicelist='ejabberd'>ejabberd</service>
            <service_access service='ejabberd'>
                <port>5222</port>
                <port>5223</port>
            </service_access>
            <file filelist='ejabberd' name='/etc/ejabberd/ejabberd.yml' />
            <file filelist='jappix' name='/etc/pam.d/ejabberd' source='pam_ejabberd' rm='True'/>
            <file filelist='jappix' name='/etc/pam_cas.conf' source="pam_cas_auth.conf"/>
        </container>
    </containers>

    <variables>
        <family name='services'>
            <variable name='activer_ejabberd' type='oui/non' description="Activer le serveur de messagerie instantanée ejabberd" >
                <value>oui</value>
            </variable>
        </family>
        <family name="annuaire">
            <variable name="ldap_nss" redefine="True">
                <value>oui</value>
            </variable>
        </family>
        <family name='ejabberd' icon='comments'>
            <variable name='domaine_messagerie_etab' type='string' hidden='True' exists='False'/>
            <variable name='domain_jabber_etab' type='string' description="Nom de domaine de la messagerie instantanée de l'établissement (ex : monetab.ac-aca.fr)" mandatory='True'/>
            <variable name='ejabberd_shared_roster_ldap' type='oui/non' description="Voir les autres utilisateurs sans autorisation préalable">
                <value>non</value>
            </variable>
            <variable name='ejabberd_admin_user' type='string' description="Login de l'administrateur" mode='expert'>
                <value>admin</value>
            </variable>
            <variable name='ejabberd_max_login_per_user' type='number' description="Nombre maximum de connexions simultanées par utilisateur" mode='expert'>
                <value>10</value>
            </variable>
            <variable name='activer_jappix' type='oui/non' description='Activer Jappix (plateforme sociale)' hidden='True'>
                <value>non</value>
            </variable>
        </family>

    </variables>

    <constraints>

        <!-- famille ejabberd -->
        <fill name='calc_val' target='domain_jabber_etab'>
            <param type='eole' name='valeur'>domaine_messagerie_etab</param>
        </fill>

        <!-- can't work with activer_client_ldap="non" -->
        <condition name='disabled_if_in' source='activer_client_ldap'>
            <param>non</param>
            <target type='variable'>activer_ejabberd</target>
        </condition>

        <!-- activation du logiciel -->
        <condition name='disabled_if_in' source='activer_ejabberd'>
            <param>non</param>
            <target type='filelist'>ejabberd</target>
            <target type='servicelist'>ejabberd</target>
            <target type='family'>ejabberd</target>
        </condition>

        <!-- 61_jappix.xml doit rester compatible 2.3 -->
        <condition name='disabled_if_in' source='activer_sso' fallback='True'>
            <param>non</param>
            <target type='filelist'>jappix</target>
        </condition>
        <condition name='disabled_if_in' source='activer_ejabberd'>
            <param>non</param>
            <target type='filelist'>jappix</target>
        </condition>
        <condition name='disabled_if_in' source='activer_jappix'>
            <param>non</param>
            <target type='filelist'>jappix</target>
        </condition>

    </constraints>

    <help>
        <family name='ejabberd'>Paramétrage du serveur de messagerie instantanée ejabberd</family>
        <variable name='activer_ejabberd'>ejabberd est un serveur Jabber/XMPP libre de messagerie instantanée à haute performance</variable>
        <variable name='domain_jabber_etab'>Nom d'hôte du serveur de messagerie instantanée ejabberd. Il doit être correctement déclaré dans le DNS</variable>
        <variable name='ejabberd_shared_roster_ldap'>Le module shared_roster_ldap permet de mettre en contact des utilisateurs sans entente préalable</variable>
        <variable name='ejabberd_admin_user'>Login de l'utilisateur qui doit être administrateur du serveur ejabberd</variable>
        <variable name='ejabberd_max_login_per_user'>Nombre maximum de connexions simultanées autorisées pour un utilisateur</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
